#include "TMDlib.h"

#include <iostream>
#include <sstream>
#include <string>  
#include <fstream>
#include "TMDlib_UnintegratedGluonKS.h"
#include "TMDlib_InterpolationKS.h"
using namespace std;

/* Common Block Declarations */

extern int iset, irep, imode ;
extern string pdfpath;
extern bool first;

string filename ;

 void TMDlib::ksPDF(double x, double kt, double p, double& uval, double& dval, double& sea, double& charm, double& bottom, double& glu)
{    
        UnintegratedGluon updf  ;

    if (first) { 
       if( iset < 0 ) 
        { cout << "  TMDlib:ksuPDF set not foud. iset = " << iset << endl;
         return ; }
        else if ( iset == 400001 ) { 
            filename=pdfpath+"KSlinear.dat";} 
        else if ( iset == 400002 ) { 
            filename=pdfpath+"KSnonlinear.dat";} 
   	 cout <<  "ksuPDF: read grid from " << filename << endl;
       /// Set interpolation type: 
       ///   *gsl_interp_linear 
       ///   *gsl_interp_cspline
       gsl_interp_type int_type =  *gsl_interp_cspline;
       /// Created updf object
       updf = UnintegratedGluon(filename,int_type);
       first = false ;
       }
       x=0.0001;
       double logx = log10(x);       
       cout << " file " << filename << endl;
       glu = 1 ;
       //gsl_interp_type int_type =  *gsl_interp_cspline;
       /// Created updf object
//       UnintegratedGluon updf = UnintegratedGluon(filename,int_type);
//       glu = updf.xg(logx,log(kt*kt)) ;
       cout << " gluon = " << glu << " " << logx << " " << kt << endl;
       uval = 0 ;
       dval = 0 ; 

}
